::: {.default-domain}
dynare
:::

Bibliography
============

-   Abramowitz, Milton and Irene A. Stegun (1964): "Handbook of
    Mathematical Functions", Courier Dover Publications.
-   Adjemian, Stéphane, Matthieu Darracq Parriès and Stéphane Moyen
    (2008): "Towards a monetary policy evaluation framework", *European
    Central Bank Working Paper*, 942.
-   Aguiar, Mark and Gopinath, Gita (2004): "Emerging Market Business
    Cycles: The Cycle is the Trend," *NBER* Working Paper, 10734.
-   Amisano, Gianni and Tristani, Oreste (2010): "Euro area inflation
    persistence in an estimated nonlinear DSGE model", *Journal of
    Economic Dynamics and Control*, 34(10), 1837--1858.
-   Andreasen, Martin M., Jesús Fernández-Villaverde, and Juan
    Rubio-Ramírez (2018): "The Pruned State-Space System for Non-Linear
    DSGE Models: Theory and Empirical Applications," *Review of Economic
    Studies*, 85(1), 1-49.
-   Andrle, Michal and Miroslav Plašil (2018): "Econometrics with system
    priors," *Economics Letters*, 172, 134-137.
-   Andrews, Donald W.K (1991): "Heteroskedasticity and autocorrelation
    consistent covariance matrix estimation", *Econometrica*, 59(3),
    817--858.
-   Backus, David K., Patrick J. Kehoe, and Finn E. Kydland (1992):
    "International Real Business Cycles," *Journal of Political
    Economy*, 100(4), 745--775.
-   Baxter, Marianne and Robert G. King (1999): "Measuring Business
    Cycles: Approximate Band-pass Filters for Economic Time Series,"
    *Review of Economics and Statistics*, 81(4), 575--593.
-   Born, Benjamin and Johannes Pfeifer (2014): "Policy risk and the
    business cycle", *Journal of Monetary Economics*, 68, 68-85.
-   Boucekkine, Raouf (1995): "An alternative methodology for solving
    nonlinear forward-looking models," *Journal of Economic Dynamics and
    Control*, 19, 711--734.
-   Brayton, Flint and Peter Tinsley (1996): \"A Guide to FRB/US: A
    Macroeconomic Model of the United States\", *Finance and Economics
    Discussion Series*, 1996-42.
-   Brayton, Flint, Morris Davis and Peter Tulip (2000): \"Polynomial
    Adjustment Costs in FRB/US\", *Unpublished manuscript*.
-   Brooks, Stephen P., and Andrew Gelman (1998): "General methods for
    monitoring convergence of iterative simulations," *Journal of
    Computational and Graphical Statistics*, 7, pp. 434--455.
-   Cardoso, Margarida F., R. L. Salcedo and S. Feyo de Azevedo (1996):
    "The simplex simulated annealing approach to continuous non-linear
    optimization," *Computers & Chemical Engineering*, 20(9), 1065-1080.
-   Chib, Siddhartha and Srikanth Ramamurthy (2010): "Tailored
    randomized block MCMC methods with application to DSGE models,"
    *Journal of Econometrics*, 155, 19--38.
-   Christiano, Lawrence J., Mathias Trabandt and Karl Walentin (2011):
    "Introducing financial frictions and unemployment into a small open
    economy model," *Journal of Economic Dynamics and Control*, 35(12),
    1999--2041.
-   Christoffel, Kai, Günter Coenen and Anders Warne (2010):
    "Forecasting with DSGE models," *ECB Working Paper Series*, 1185.
-   Collard, Fabrice (2001): "Stochastic simulations with Dynare: A
    practical guide".
-   Collard, Fabrice and Michel Juillard (2001a): "Accuracy of
    stochastic perturbation methods: The case of asset pricing models,"
    *Journal of Economic Dynamics and Control*, 25, 979--999.
-   Collard, Fabrice and Michel Juillard (2001b): "A Higher-Order Taylor
    Expansion Approach to Simulation of Stochastic Forward-Looking
    Models with an Application to a Non-Linear Phillips Curve,"
    *Computational Economics*, 17, 125--139.
-   Corana, Angelo, M. Marchesi, Claudio Martini, and Sandro Ridella
    (1987): "Minimizing multimodal functions of continuous variables
    with the "simulated annealing" algorithm", *ACM Transactions on
    Mathematical Software*, 13(3), 262--280.
-   Cuba-Borda, Pablo, Luca Guerrieri, Matteo Iacoviello, and Molin
    Zhong (2019): \"Likelihood evaluation of models with occasionally
    binding constraints\", Journal of Applied Econometrics, 34(7),
    1073-1085
-   Del Negro, Marco and Frank Schorfheide (2004): "Priors from General
    Equilibrium Models for VARs", *International Economic Review*,
    45(2), 643--673.
-   Dennis, Richard (2007): "Optimal Policy In Rational Expectations
    Models: New Solution Algorithms", *Macroeconomic Dynamics*, 11(1),
    31--55.
-   Duffie, Darrel and Kenneth J. Singleton (1993): "Simulated Moments
    Estimation of Markov Models of Asset Prices", *Econometrica*, 61(4),
    929-952.
-   Durbin, J. and S. J. Koopman (2012), *Time Series Analysis by State
    Space Methods*, Second Revised Edition, Oxford University Press.
-   Fair, Ray and John Taylor (1983): "Solution and Maximum Likelihood
    Estimation of Dynamic Nonlinear Rational Expectation Models,"
    *Econometrica*, 51, 1169--1185.
-   Fernández-Villaverde, Jesús (2010): "The econometrics of DSGE
    models," *SERIEs*, 1, 3--49.
-   Fernández-Villaverde, Jesús and Juan Rubio-Ramírez (2004):
    "Comparing Dynamic Equilibrium Economies to Data: A Bayesian
    Approach," *Journal of Econometrics*, 123, 153--187.
-   Fernández-Villaverde, Jesús and Juan Rubio-Ramírez (2005):
    "Estimating Dynamic Equilibrium Economies: Linear versus Nonlinear
    Likelihood," *Journal of Applied Econometrics*, 20, 891--910.
-   Ferris, Michael C. and Todd S. Munson (1999): "Interfaces to PATH
    3.0: Design, Implementation and Usage", *Computational Optimization
    and Applications*, 12(1), 207--227.
-   Galí, Jordi (2015): "Monetary Policy, Inflation, and the Business
    Cycle," 2nd Edition, Princeton University Press, Princeton.
-   Geweke, John (1992): "Evaluating the accuracy of sampling-based
    approaches to the calculation of posterior moments," in J.O. Berger,
    J.M. Bernardo, A.P. Dawid, and A.F.M. Smith (eds.) Proceedings of
    the Fourth Valencia International Meeting on Bayesian Statistics,
    pp. 169--194, Oxford University Press.
-   Geweke, John (1999): "Using simulation methods for Bayesian
    econometric models: Inference, development and communication,"
    *Econometric Reviews*, 18(1), 1--73.
-   Giovannini, Massimo, Philipp Pfeiffer, and Marco Ratto (2021),
    "Efficient and robust inference of models with occasionally binding
    constraints," Working Papers 2021-03, Joint Research Centre,
    European Commission
-   Giordani, Paolo, Michael Pitt, and Robert Kohn (2011): "Bayesian
    Inference for Time Series State Space Models" in: *The Oxford
    Handbook of Bayesian Econometrics*, ed. by John Geweke, Gary Koop,
    and Herman van Dijk, Oxford University Press, 61--124.
-   Guerrieri, Luca and Matteo Iacoviello (2015): "OccBin: A toolkit for
    solving dynamic models with occasionally binding constraints
    easily," *Journal of Monetary Economics*, 70, 22--38.
-   Goffe, William L., Gary D. Ferrier, and John Rogers (1994): "Global
    Optimization of Statistical Functions with Simulated Annealing,"
    *Journal of Econometrics*, 60(1/2), 65--100.
-   Hansen, Lars P. (1982): "Large sample properties of generalized
    method of moments estimators," Econometrica, 50(4), 1029--1054.
-   Hansen, Nikolaus and Stefan Kern (2004): "Evaluating the CMA
    Evolution Strategy on Multimodal Test Functions". In: *Eighth
    International Conference on Parallel Problem Solving from Nature
    PPSN VIII*, Proceedings, Berlin: Springer, 282--291.
-   Harvey, Andrew C. and Garry D.A. Phillips (1979): "Maximum
    likelihood estimation of regression models with
    autoregressive-moving average disturbances," *Biometrika*, 66(1),
    49--58.
-   Herbst, Edward (2015): "Using the "Chandrasekhar Recursions" for
    Likelihood Evaluation of DSGE Models," *Computational Economics*,
    45(4), 693--705.
-   Ireland, Peter (2004): "A Method for Taking Models to the Data,"
    *Journal of Economic Dynamics and Control*, 28, 1205--26.
-   Iskrev, Nikolay (2010): "Local identification in DSGE models,"
    *Journal of Monetary Economics*, 57(2), 189--202.
-   Judd, Kenneth (1996): "Approximation, Perturbation, and Projection
    Methods in Economic Analysis", in *Handbook of Computational
    Economics*, ed. by Hans Amman, David Kendrick, and John Rust, North
    Holland Press, 511--585.
-   Juillard, Michel (1996): "Dynare: A program for the resolution and
    simulation of dynamic models with forward variables through the use
    of a relaxation algorithm," CEPREMAP, *Couverture Orange*, 9602.
-   Kanzow, Christian and Stefania Petra (2004): "On a semismooth least
    squares formulation of complementarity problems with gap reduction,"
    *Optimization Methods and Software*, 19, 507--525.
-   Kim, Jinill and Sunghyun Kim (2003): "Spurious welfare reversals in
    international business cycle models," *Journal of International
    Economics*, 60, 471--500.
-   Kim, Jinill, Sunghyun Kim, Ernst Schaumburg, and Christopher A. Sims
    (2008): "Calculating and using second-order accurate solutions of
    discrete time dynamic equilibrium models," *Journal of Economic
    Dynamics and Control*, 32(11), 3397--3414.
-   Komunjer, Ivana and Ng, Serena (2011): "Dynamic identification of
    dynamic stochastic general equilibrium models", *Econometrica*, 79,
    1995--2032.
-   Koop, Gary (2003), *Bayesian Econometrics*, John Wiley & Sons.
-   Koopman, S. J. and J. Durbin (2000): "Fast Filtering and Smoothing
    for Multivariate State Space Models," *Journal of Time Series
    Analysis*, 21(3), 281--296.
-   Koopman, S. J. and J. Durbin (2003): "Filtering and Smoothing of
    State Vector for Diffuse State Space Models," *Journal of Time
    Series Analysis*, 24(1), 85--98.
-   Kuntsevich, Alexei V. and Franz Kappel (1997): "SolvOpt - The solver
    for local nonlinear optimization problems (version 1.1, Matlab, C,
    FORTRAN)", University of Graz, Graz, Austria.
-   Laffargue, Jean-Pierre (1990): "Résolution d'un modèle
    macroéconomique avec anticipations rationnelles", *Annales
    d'Économie et Statistique*, 17, 97--119.
-   Liu, Jane and Mike West (2001): "Combined parameter and state
    estimation in simulation-based filtering", in *Sequential Monte
    Carlo Methods in Practice*, Eds. Doucet, Freitas and Gordon,
    Springer Verlag.
-   Murray, Lawrence M., Emlyn M. Jones and John Parslow (2013): "On
    Disturbance State-Space Models and the Particle Marginal
    Metropolis-Hastings Sampler", *SIAM/ASA Journal on Uncertainty
    Quantification*, 1, 494--521.
-   Mutschler, Willi (2015): "Identification of DSGE models - The effect
    of higher-order approximation and pruning", *Journal of Economic
    Dynamics & Control*, 56, 34-54.
-   Mutschler, Willi (2018): "Higher-order statistics for DSGE models",
    *Econometrics and Statistics*, 6(C), 44-56.
-   Pearlman, Joseph, David Currie, and Paul Levine (1986): "Rational
    expectations models with partial information," *Economic Modelling*,
    3(2), 90--105.
-   Planas, Christophe, Marco Ratto and Alessandro Rossi (2015): "Slice
    sampling in Bayesian estimation of DSGE models".
-   Pfeifer, Johannes (2013): "A Guide to Specifying Observation
    Equations for the Estimation of DSGE Models".
-   Pfeifer, Johannes (2014): "An Introduction to Graphs in Dynare".
-   Qu, Zhongjun and Tkachenko, Denis (2012): "Identification and
    frequency domain quasi-maximum likelihood estimation of linearized
    dynamic stochastic general equilibrium models", *Quantitative
    Economics*, 3, 95--132.
-   Rabanal, Pau and Juan Rubio-Ramírez (2003): "Comparing New Keynesian
    Models of the Business Cycle: A Bayesian Approach," Federal Reserve
    of Atlanta, *Working Paper Series*, 2003-30.
-   Raftery, Adrian E. and Steven Lewis (1992): "How many iterations in
    the Gibbs sampler?," in *Bayesian Statistics, Vol. 4*, ed. J.O.
    Berger, J.M. Bernardo, A.P. \* Dawid, and A.F.M. Smith, Clarendon
    Press: Oxford, pp. 763-773.
-   Ratto, Marco (2008): "Analysing DSGE models with global sensitivity
    analysis", *Computational Economics*, 31, 115--139.
-   Ratto, Marco and Iskrev, Nikolay (2011): "Identification Analysis of
    DSGE Models with DYNARE.", *MONFISPOL* 225149.
-   Ruge-Murcia, Francisco J. (2012): "Estimating nonlinear DSGE models
    by the simulated method of moments: With an application to business
    cycles", *Journal of Economic Dynamics and Control*, 36, 914-938.
-   Schmitt-Grohé, Stephanie and Martin Uríbe (2004): "Solving Dynamic
    General Equilibrium Models Using a Second-Order Approximation to the
    Policy Function," *Journal of Economic Dynamics and Control*, 28(4),
    755--775.
-   Schnabel, Robert B. and Elizabeth Eskow (1990): "A new modified
    Cholesky algorithm," *SIAM Journal of Scientific and Statistical
    Computing*, 11, 1136--1158.
-   Schorfheide, Frank (2000): "Loss Function-based evaluation of DSGE
    models," *Journal of Applied Econometrics*, 15(6), 645--670.
-   Sims, Christopher A., Daniel F. Waggoner and Tao Zha (2008):
    "Methods for inference in large multiple-equation Markov-switching
    models," *Journal of Econometrics*, 146, 255--274.
-   Skoeld, Martin and Gareth O. Roberts (2003): "Density Estimation for
    the Metropolis-Hastings Algorithm," *Scandinavian Journal of
    Statistics*, 30, 699--718.
-   Smets, Frank and Rafael Wouters (2003): "An Estimated Dynamic
    Stochastic General Equilibrium Model of the Euro Area," *Journal of
    the European Economic Association*, 1(5), 1123--1175.
-   Stock, James H. and Mark W. Watson (1999). "Forecasting Inflation,",
    *Journal of Monetary Economics*, 44(2), 293--335.
-   Uhlig, Harald (2001): "A Toolkit for Analysing Nonlinear Dynamic
    Stochastic Models Easily," in *Computational Methods for the Study
    of Dynamic Economies*, Eds. Ramon Marimon and Andrew Scott, Oxford
    University Press, 30--61.
-   U.S. Census Bureau (2017): "X-13 ARIMA-SEATS Reference Manual".
-   Villemot, Sébastien (2011): "Solving rational expectations models at
    first order: what Dynare does," *Dynare Working Papers*, 2,
    CEPREMAP.
